<?php
/**
 * Ulaform base inclusion file.
 *
 * This file brings in all of the dependencies that every Ulaform script will
 * need, and sets up objects that all scripts use.
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: ulaform/lib/base.php,v 1.25 2004/11/21 22:56:44 chuck Exp $
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('ulaform', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect();
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('ULAFORM_TEMPLATES', $registry->get('templates'));

/* Notification system. */
$notification = &Notification::singleton();
$notification->attach('status');

/* Find the base file path of Ulaform. */
@define('ULAFORM_BASE', dirname(__FILE__) . '/..');

/* Ulaform base libraries. */
require_once ULAFORM_BASE . '/lib/Ulaform.php';
require_once ULAFORM_BASE . '/lib/Driver.php';
require_once ULAFORM_BASE . '/lib/Action.php';

/* Horde libraries. */
require_once 'Horde/Help.php';

/* Ulaform permissions extend the Permissions class. */
require_once ULAFORM_BASE . '/lib/Perms.php';
$perms = &new Ulaform_Perms();

/* Templates */
require_once 'Horde/Template.php';
$template = &new Horde_Template();

/* Forms libraries. */
require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';

/* Ulaform driver. */
$GLOBALS['ulaform'] = &Ulaform_Driver::singleton('sql', $conf['sql']);
$GLOBALS['ulaform']->initialise();

/* Start compression, if requested. */
Horde::compressOutput();
